<?php

namespace App\Admin\Controllers;

use App\Admin\Metrics\Consume;
use App\Admin\Metrics\Episodes;
use App\Admin\Metrics\Recharge;
use App\Admin\Metrics\TotalMember;
use App\Admin\Metrics\TotalUsers;
use App\Http\Controllers\Controller;
use App\Models\UserVipRecord;
use Dcat\Admin\Layout\Content;
use Dcat\Admin\Layout\Row;
use Illuminate\Database\Query\Builder;

class HomeController extends Controller
{
    public function index(Content $content)
    {
//        return $content->body('<div style="text-align: center; font-size: 28px; font-weight: 300">欢迎进入张四爷短剧管理后台</div>');
        return $content
            ->header('数据统计卡片')
            ->body(function (Row $row) {
                $row->column(4, new TotalUsers());
                $row->column(4, new TotalMember());
                $row->column(4, new Episodes());
            })->body(function (Row $row) {
                $row->column(6, new Recharge());
                $row->column(6, new Consume());
            });
    }
}
