<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * App\Models\RechargeCombo
 *
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo query()
 * @mixin \Eloquent
 * @method static \Illuminate\Database\Query\Builder|RechargeCombo onlyTrashed()
 * @method static \Illuminate\Database\Query\Builder|RechargeCombo withTrashed()
 * @method static \Illuminate\Database\Query\Builder|RechargeCombo withoutTrashed()
 * @property int $id
 * @property string $name 充值名称
 * @property string $price 支付金额
 * @property string $gold 充值奖励金币
 * @property string $gift 赠送金币
 * @property int $status 状态 0-不启用 1-启用
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property \Illuminate\Support\Carbon|null $created_at
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo whereGift($value)
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo whereGold($value)
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo wherePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo whereStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder|RechargeCombo whereUpdatedAt($value)
 */
class RechargeCombo extends Model
{
    use HasFactory,SoftDeletes;

    protected $table = 'recharge_combo';

    protected $casts = [
        'gold' => 'integer',
        'gift' => 'integer',
    ];
}
